osl::checkmate::DfpnRecordBase Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Public Attributes | List of all members
osl::checkmate::DfpnRecordBase Struct Reference

`#include <dfpnRecord.h>`

Inheritance diagram for osl::checkmate::DfpnRecordBase:
[legend]
Collaboration diagram for osl::checkmate::DfpnRecordBase:
[legend]

## Public Types
enum | ProofPiecesType { UNSET =0, PROOF, DISPROOF }

## Public Member Functions
| DfpnRecordBase ()

## Public Attributes
ProofDisproof | proof_disproof
uint64_t | solved
| 手番に否定的に結果が判明したリスト loop は除く More...
uint64_t | dag_moves
| 合流を引き起こす指手一覧 More...
Move | best_move
PieceStand | proof_pieces
unsigned int | node_count
unsigned int | tried_oracle
Move | last_move
| 合流検知+simulation中の簡易 無限ループ回避 More...
PieceStand | proof_pieces_candidate
| solved のmax More...
unsigned int | min_pdp
uint32_t | working_threads
Square | last_to
int8_t | proof_pieces_set
char | need_full_width
char | false_branch
bool | dag_terminal

## Detailed Description

Definition at line 16 of file dfpnRecord.h.

## Member Enumeration Documentation

enum osl::checkmate::DfpnRecordBase::ProofPiecesType

Enumerator
UNSET |
PROOF |
DISPROOF |

Definition at line 36 of file dfpnRecord.h.

## Constructor & Destructor Documentation

osl::checkmate::DfpnRecordBase::DfpnRecordBase | ( | ) |  |
| inline

Definition at line 43 of file dfpnRecord.h.

## Member Data Documentation

Move osl::checkmate::DfpnRecordBase::best_move

Definition at line 25 of file dfpnRecord.h.

Referenced by osl::checkmate::Dfpn::analyze(), analyzeCheckmate(), osl::checkmate::Dfpn::attack(), osl::checkmate::Dfpn::defense(), osl::checkmate::Dfpn::Tree::dump(), osl::checkmate::Dfpn::hasCheckmateMove(), osl::checkmate::ProofTreeDepthDfpn::orNode(), osl::checkmate::Dfpn::proofOracleAttack(), osl::checkmate::Dfpn::Node::setCheckmateAttack(), osl::checkmate::Dfpn::Node::setNoCheckmateDefense(), osl::checkmate::DfpnTable::List::showProofOracles(), and osl::checkmate::Dfpn::tryProofMain().

uint64_t osl::checkmate::DfpnRecordBase::dag_moves

合流を引き起こす指手一覧

Definition at line 23 of file dfpnRecord.h.

Referenced by osl::checkmate::DfpnTable::List::addDag(), osl::checkmate::Dfpn::analyze(), osl::checkmate::Dfpn::attack(), osl::checkmate::Dfpn::defense(), osl::checkmate::Dfpn::findDagSource(), osl::checkmate::DfpnRecord::setFrom(), and osl::checkmate::DfpnTable::List::store().

bool osl::checkmate::DfpnRecordBase::dag_terminal

Definition at line 40 of file dfpnRecord.h.

Referenced by osl::checkmate::Dfpn::findDagSource(), and osl::checkmate::DfpnRecord::setFrom().

char osl::checkmate::DfpnRecordBase::false_branch

Definition at line 38 of file dfpnRecord.h.

Referenced by osl::checkmate::DfpnTable::List::addDag(), osl::checkmate::Dfpn::defense(), osl::checkmate::Dfpn::Tree::dump(), osl::checkmate::DfpnRecord::setFrom(), and osl::checkmate::DfpnTable::List::store().

Move osl::checkmate::DfpnRecordBase::last_move

合流検知+simulation中の簡易 無限ループ回避

Definition at line 30 of file dfpnRecord.h.

Referenced by osl::checkmate::Dfpn::attack(), osl::checkmate::Dfpn::defense(), osl::checkmate::Dfpn::findDagSource(), osl::checkmate::DfpnTable::List::findProofOracle(), osl::checkmate::Dfpn::proofOracleAttack(), osl::checkmate::Dfpn::proofOracleDefense(), osl::checkmate::DfpnRecord::setFrom(), osl::checkmate::DfpnTable::List::showProofOracles(), and osl::checkmate::Dfpn::tryProofMain().

Square osl::checkmate::DfpnRecordBase::last_to

Definition at line 35 of file dfpnRecord.h.

Referenced by osl::checkmate::Dfpn::analyze(), osl::checkmate::Dfpn::defense(), osl::checkmate::Dfpn::Tree::dump(), osl::checkmate::Dfpn::proofOracleDefense(), and osl::checkmate::DfpnRecord::setFrom().

unsigned int osl::checkmate::DfpnRecordBase::min_pdp

Definition at line 33 of file dfpnRecord.h.

Referenced by osl::checkmate::DfpnTable::List::addDag(), osl::checkmate::Dfpn::attack(), osl::checkmate::Dfpn::defense(), osl::checkmate::Dfpn::proofOracleDefense(), osl::checkmate::Dfpn::Node::setCheckmateChildInDefense(), osl::checkmate::Dfpn::Node::setNoCheckmateChildInAttack(), and osl::checkmate::DfpnTable::List::store().

char osl::checkmate::DfpnRecordBase::need_full_width

Definition at line 38 of file dfpnRecord.h.

Referenced by osl::checkmate::Dfpn::defense(), osl::checkmate::Dfpn::hasEscapeMove(), and osl::checkmate::DfpnRecord::setFrom().

unsigned int osl::checkmate::DfpnRecordBase::node_count
| mutable

Definition at line 27 of file dfpnRecord.h.

Referenced by osl::checkmate::Dfpn::analyze(), osl::checkmate::Dfpn::attack(), osl::checkmate::Dfpn::defense(), osl::checkmate::DfpnTable::List::estimateNodeCount(), osl::checkmate::DfpnTable::List::findProofOracle(), osl::checkmate::Dfpn::proofOracleAttack(), osl::checkmate::Dfpn::proofOracleDefense(), osl::checkmate::DfpnRecord::setFrom(), and osl::checkmate::DfpnTable::List::showProofOracles().

ProofDisproof osl::checkmate::DfpnRecordBase::proof_disproof

Definition at line 18 of file dfpnRecord.h.

Referenced by osl::checkmate::DfpnTable::addDag(), osl::checkmate::Dfpn::analyze(), analyzeCheckmate(), osl::checkmate::Dfpn::attack(), osl::checkmate::Dfpn::blockingSimulation(), osl::checkmate::Dfpn::defense(), osl::checkmate::DfpnRecord::disproof(), osl::checkmate::Dfpn::Tree::dump(), osl::checkmate::DfpnTable::List::findProofOracle(), osl::checkmate::Dfpn::grandParentSimulation(), osl::checkmate::Dfpn::hasCheckmateMove(), osl::checkmate::Dfpn::hasEscapeMove(), osl::checkmate::ProofTreeDepthDfpn::orNode(), osl::checkmate::DfpnTable::List::probe(), osl::checkmate::DfpnRecord::proof(), osl::checkmate::Dfpn::proofOracleAttack(), osl::checkmate::Dfpn::proofOracleDefense(), osl::checkmate::Dfpn::Node::setCheckmateAttack(), osl::checkmate::Dfpn::Node::setCheckmateDefense(), osl::checkmate::Dfpn::Node::setLoopDetection(), osl::checkmate::Dfpn::Node::setNoCheckmateAttack(), osl::checkmate::Dfpn::Node::setNoCheckmateDefense(), osl::checkmate::DfpnTable::List::showProofOracles(), osl::checkmate::DfpnTable::store(), osl::checkmate::DfpnTable::List::store(), osl::checkmate::DfpnTable::List::testTable(), and osl::checkmate::Dfpn::tryProofMain().

PieceStand osl::checkmate::DfpnRecordBase::proof_pieces

Definition at line 26 of file dfpnRecord.h.

Referenced by osl::checkmate::DfpnRecord::disproofPieces(), osl::checkmate::DfpnRecord::proofPieces(), osl::checkmate::DfpnRecord::setDisproofPieces(), and osl::checkmate::DfpnRecord::setProofPieces().

PieceStand osl::checkmate::DfpnRecordBase::proof_pieces_candidate

solved のmax

Definition at line 32 of file dfpnRecord.h.

Referenced by osl::checkmate::DfpnTable::List::addDag(), osl::checkmate::Dfpn::Node::setCheckmateChildInDefense(), osl::checkmate::Dfpn::Node::setCheckmateDefense(), osl::checkmate::Dfpn::Node::setNoCheckmateAttack(), osl::checkmate::Dfpn::Node::setNoCheckmateChildInAttack(), and osl::checkmate::DfpnTable::List::store().

int8_t osl::checkmate::DfpnRecordBase::proof_pieces_set

Definition at line 37 of file dfpnRecord.h.

Referenced by osl::checkmate::DfpnRecord::disproofPieces(), osl::checkmate::DfpnRecord::proofPieces(), osl::checkmate::DfpnRecord::setDisproofPieces(), and osl::checkmate::DfpnRecord::setProofPieces().

uint64_t osl::checkmate::DfpnRecordBase::solved

手番に否定的に結果が判明したリスト loop は除く

Definition at line 20 of file dfpnRecord.h.

Referenced by osl::checkmate::DfpnTable::List::addDag(), analyzeCheckmate(), osl::checkmate::Dfpn::attack(), osl::checkmate::Dfpn::blockingSimulation(), osl::checkmate::Dfpn::defense(), osl::checkmate::Dfpn::Tree::dump(), osl::checkmate::Dfpn::grandParentSimulation(), osl::checkmate::Dfpn::proofOracleDefense(), osl::checkmate::Dfpn::Node::setCheckmateChildInDefense(), osl::checkmate::DfpnRecord::setFrom(), osl::checkmate::Dfpn::Node::setNoCheckmateChildInAttack(), osl::checkmate::DfpnTable::List::store(), and osl::checkmate::DfpnTable::List::testTable().

unsigned int osl::checkmate::DfpnRecordBase::tried_oracle

Definition at line 28 of file dfpnRecord.h.

Referenced by osl::checkmate::Dfpn::tryProofMain().

uint32_t osl::checkmate::DfpnRecordBase::working_threads

Definition at line 34 of file dfpnRecord.h.

Referenced by osl::checkmate::DfpnTable::List::addDag(), osl::checkmate::Dfpn::attack(), osl::checkmate::Dfpn::defense(), osl::checkmate::DfpnTable::List::leaveWorking(), osl::checkmate::DfpnTable::List::setWorking(), osl::checkmate::DfpnTable::List::store(), and osl::checkmate::DfpnTable::List::testTable().

The documentation for this struct was generated from the following file:

- dfpnRecord.h